Upgrading to SpamAssassin is Pissing me off!


#1

Has anyone else successfully installed the newest version fo Spam Assassin on their account?

I keep trying, and during several steps of the CPAN installs on this page:
http://wiki.dreamhost.com/index.php/SpamAssassin

I keep getting “make test had returned bad status, won’t install without force” errors

Is this common? Should I just skip it and move on, and suck it up?

The more I use SpamAssassin, the more it pisses me off.


#2

Me too.

Dreamhost’s current offer of SpamAssassin 3.0.3 was released in April of 2005.

The current version of SpamAssassin is 3.1.5.

I’ve had terrific results with SpamAssassin in the past so I am motivated to get it running. Wary of the vulnerability of Dreamhost’s current SpamAssassin version, I went through the install suggestions (http://www.unsaturated.com/projects.spamassassinMySQL.html and http://wiki.dreamhost.com/index.php/SpamAssassim) hoping to get 3.1.5 working. But the install was unsuccessful for the same reason you cited.

Question: Did the failed install of 3.1.5 break the 3.03 version?

Request: Dreamhost, please step up to the plate with a nonvulnerable and current SpamAssassin.

Thanks.